Skip to main content
POST
/
message
/
sendWhatsAppAudio
/
{instance}
Send WhatsApp Audio
curl --request POST \
  --url https://api.botifiy.com/message/sendWhatsAppAudio/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "number": "<string>",
  "audio": "<string>"
}
'
{
  "key": {
    "remoteJid": "<string>",
    "fromMe": true,
    "id": "<string>"
  },
  "message": {
    "audioMessage": {
      "url": "<string>",
      "mimetype": "<string>",
      "fileSha256": "<string>",
      "fileLength": "<string>",
      "seconds": 123,
      "ptt": true,
      "mediaKey": "<string>",
      "fileEncSha256": "<string>",
      "directPath": "<string>",
      "mediaKeyTimestamp": "<string>"
    }
  },
  "messageTimestamp": "<string>",
  "status": "<string>"
}

Authorizations

apikey
string
header
required

Path Parameters

instance
string
required

ID of the instance to connect

Body

application/json
number
string
required

Number to receive the message (with country code)

audio
string
required

url or base64

Response

200 - application/json

Ok

key
object
message
object
messageTimestamp
string
status
string